import FormBuilder from "../FormBuilder";
import EventHandler from "../Utility/EventHandler";

export default abstract class Condition {
    public formBuilder: FormBuilder;
    public idPrefix: string = '';
    public onChange: EventHandler<boolean> = new EventHandler();

    protected constructor(params: Partial<Condition> = {}) {
        Object.assign(this, params);
    }

    public abstract check(): boolean;
}